## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExpression::InvalidOpCodeException Class Reference

Exception class thrown when an invalid XPath operation code is encountered. More...

`#include <XPathExpression.hpp>`

Inheritance diagram for XPathExpression::InvalidOpCodeException

Collaboration diagram for XPathExpression::InvalidOpCodeException:

List of all members.

## Public Methods

- InvalidOpCodeException (int theOpCode)
    Construct an InvalidOpCodeException object. More...
- virtual ~InvalidOpCodeException ()

## Detailed Description

Exception class thrown when an invalid XPath operation code is encountered.

## Constructor & Destructor Documentation

XPathExpression::InvalidOpCodeException::InvalidOpCodeException ( | int theOpCode )

Construct an InvalidOpCodeException object.

Parameters:

  theOpCode | operation code that caused the exception

virtual XPathExpression::InvalidOpCodeException::~InvalidOpCodeException ( | )

The documentation for this class was generated from the following file:

- XPathExpression.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.